# $Revision: 1.23 $, $Date: 2007/06/01 14:24:54 $
#
# Conditional build:
%bcond_with	publichtml	# enable search of public_html in home taken from mysql
#
%define		mod_name	vhost_mysql
%define		apxs		/usr/sbin/apxs
Summary:	Apache vhost in MySQL
Summary(pl.UTF-8):	Wirtualne hosty dla Apache'a w bazie MySQL
Name:		apache-mod_%{mod_name}
Version:	0.10
Release:	6
License:	GPL
Group:		Networking/Daemons
Source0:	http://fabienne.tc2.utelisys.net/~skinkie/mod_vhost_mysql2/mod_%{mod_name}2-%{version}.tar.gz
# Source0-md5:	c47c8dc4ac41e9ed2c91a239c876d272
Source1:	apache_vhost_mysql.conf
Patch0:		mod_%{mod_name}2-publichtml.patch		
BuildRequires:	apache-apxs >= 2.0
BuildRequires:	apache-devel >= 2.0
BuildRequires:	db-devel >= 4.2.52
BuildRequires:	mysql-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
This module provides dynamically configured virtual hosting using
MySQL in Apache2.

%description -l pl.UTF-8
Ten moduł umożliwia dynamicznie konfigurowanie hostów wirtualnych w
serwerze Apache 2 przy użyciu bazy MySQL.

%prep
%setup -q -n mod_%{mod_name}2-%{version}
rm -rf .libs *.{la,lo,o,slo}
%if %{with publichtml}
%patch -p1
%endif

%build
%{__make} \
	APXS=%{apxs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/httpd.conf}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/21_vhost_mysql.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README vh.sql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_vhost_mysql.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_vhost_mysql.spec,v $
Revision 1.23  2007/06/01 14:24:54  shadzik
- BR s#/usr/sbin/apxs/#apache-apxs#g
- tabs

Revision 1.22  2007/04/13 08:32:55  darekr
- R: rc-scripts for %service

Revision 1.21  2007/04/13 08:29:45  leafnode
- cosmetic

Revision 1.20  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.18  2006/10/02 18:51:33  qboosh
- more

Revision 1.17  2006/09/29 10:59:17  ankry
- cosmetics

Revision 1.16  2006/09/28 15:48:38  djrzulf
- added patch for public_html,

Revision 1.15  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.14  2006/03/27 12:41:36  glen
- rel 5 (libmysqlclient_15)

Revision 1.13  2006/01/30 17:39:10  glen
- use %service

Revision 1.12  2005/12/27 01:13:49  glen
- unified

Revision 1.11  2005/12/22 00:03:29  glen
- rel 4 (rebuild with new apache)

Revision 1.10  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.9  2005/10/27 17:36:58  arekm
- rel 3

Revision 1.8  2005/02/15 22:00:49  djrzulf
- rel 2, STBR for AC-READY,

Revision 1.7  2005/02/15 21:37:28  djrzulf
- fixed %install,

Revision 1.6  2005/01/17 08:24:16  djrzulf
- finished, rel 1,
- STBR for AC-READY,

Revision 1.5  2005/01/09 17:43:57  qboosh
- pl, some cleanups

Revision 1.4  2005/01/09 03:39:09  djrzulf
- almost finished, can go to AC-test now,

Revision 1.3  2005/01/09 03:20:23  djrzulf
- NFY - no .conf file, please wait :),
- Rel back to 0.1,

Revision 1.2  2005/01/09 02:23:23  djrzulf
- lost in space sql file, added,

Revision 1.1  2005/01/09 02:22:08  djrzulf
- Rel 1,
- STBR for AC-test,
